# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

ESVN_REPO_URI="https://pkremote.svn.sourceforge.net/svnroot/pkremote"

inherit eutils subversion

DESCRIPTION="Tethered shooting program for Pentax digital SLR cameras"
HOMEPAGE="http://pkremote.sourceforge.net/"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE=""

DEPEND=">=dev-util/glade-3.0.0 \
        >=x11-libs/gtk+-2.8 \
	dev-util/pkgconfig
	gimp? ( >=media-gfx/gimp-2.4 )"

src_unpack() {
	subversion_src_unpack
	cd ${S}
}

src_compile() {
# add CFLAGS="${CFLAGS}"
# when makefile will be able to cope with it
	emake PREFIX=/usr || die "Make failed"
}

src_install() {
	newicon ${FILESDIR}/pkremote.png pkremote.png 
	dodir /usr/bin
	emake PREFIX=${D}/usr install || die "Make install failed"
	make_desktop_entry pkremote "PK-Remote" /usr/share/pixmaps/pkremote.png "Graphics;2DGraphics;RasterGraphics;GTK;"
}
